Package fr.gouv.vitam.functional.administration.common

# Class Agencies

java.lang.Object
org.bson.Document
fr.gouv.vitam.common.database.server.mongodb.VitamDocument<Agencies>
fr.gouv.vitam.functional.administration.common.Agencies

All Implemented Interfaces:
  `Serializable`, `Map<String,Object>`, `org.bson.conversions.Bson`

public class Agencies extends VitamDocument<Agencies>
Defines a Agency collection.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ALTERNATIVE_FORM`
  `static final String`
  `AUTHORIZED_FORM`
  `static final String`
  `BIOG_HIST`
  `static final String`
  `CREATION_DATE`
  `static final String`
  `DESCRIPTION`
  the Agency description
  `static final String`
  `ENTITY_ID`
  `static final String`
  `ENTITY_TYPE`
  `static final String`
  `EVENT_DESCRIPTION`
  `static final String`
  `FROM_DATE`
  `static final String`
  `FUNCTIONS`
  `static final String`
  `GENERAL_CONTEXT`
  `static final String`
  `IDENTIFIER`
  the Agency id
  `static final String`
  `LEGAL_STATUSES`
  `static final String`
  `LOCAL_STATUS`
  `static final String`
  `MAINTENANCE_STATUS`
  `static final String`
  `MANDATES`
  `static final String`
  `NAME`
  the Agency name
  `static final String`
  `NAME_ENTRY_PARALLEL`
  `static final String`
  `PLACES`
  `static final String`
  `SOURCES`
  `static final String`
  `STRUCTURE_OR_GENEALOGY`
  `static final String`
  `TO_DATE`
  `static final String`
  `UPDATE_DATE`

  ### Fields inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `ES_FILTER_OUT, ID, IMPLEMENTATIONVERSION, SCORE, SEDAVERSION, TENANT_ID, VERSION`

  ### Fields inherited from interface org.bson.conversions.Bson

  `DEFAULT_CODEC_REGISTRY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Agencies()`
  /** Empty Constructor
  `Agencies(com.fasterxml.jackson.databind.JsonNode content)`
  `Agencies(Integer tenantId)`
  `Agencies(String content)`
  `Agencies(org.bson.Document document)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAlternativeForm()`
  `List<String>`
  `getAuthorizedForm()`
  `String`
  `getBiogHist()`
  `String`
  `getCreationDate()`
  `String`
  `getDescription()`
  Get the Agency description
  `String`
  `getEntityId()`
  `String`
  `getEntityType()`
  `String`
  `getEventDescription()`
  `String`
  `getFromDate()`
  `List<String>`
  `getFunctions()`
  `String`
  `getGeneralContext()`
  `String`
  `getIdentifier()`
  Get the Agency Identifier
  `List<String>`
  `getLegalStatuses()`
  `String`
  `getLocalStatus()`
  `String`
  `getMaintenanceStatus()`
  `List<String>`
  `getMandates()`
  `String`
  `getName()`
  Get the Agency name
  `List<String>`
  `getNameEntryParallel()`
  `List<String>`
  `getPlaces()`
  `List<String>`
  `getSources()`
  `String`
  `getStructureOrGenealogy()`
  `String`
  `getToDate()`
  `String`
  `getUpdateDate()`
  `VitamDocument<Agencies>`
  `newInstance(com.fasterxml.jackson.databind.JsonNode content)`
  Make a new instance of the document with the given json
  `Agencies`
  `setAlternativeForm(List<String> alternativeForm)`
  `Agencies`
  `setAuthorizedForm(List<String> authorizedForm)`
  `Agencies`
  `setBiogHist(String biogHist)`
  `Agencies`
  `setCreationDate(String creationDate)`
  `Agencies`
  `setDescription(String description)`
  Set or change the Agency description
  `Agencies`
  `setEntityId(String entityId)`
  `Agencies`
  `setEntityType(String entityType)`
  `Agencies`
  `setEventDescription(String eventDescription)`
  `Agencies`
  `setFromDate(String fromDate)`
  `Agencies`
  `setFunctions(List<String> functions)`
  `Agencies`
  `setGeneralContext(String generalContext)`
  `Agencies`
  `setIdentifier(String identifier)`
  Set or change the Agency identifier
  `Agencies`
  `setLegalStatuses(List<String> legalStatuses)`
  `Agencies`
  `setLocalStatus(String localStatus)`
  `Agencies`
  `setMaintenanceStatus(String maintenanceStatus)`
  `Agencies`
  `setMandates(List<String> mandates)`
  `Agencies`
  `setName(String name)`
  Set or change the Agency name
  `Agencies`
  `setNameEntryParallel(List<String> nameEntryParallel)`
  `Agencies`
  `setPlaces(List<String> places)`
  `Agencies`
  `setSources(List<String> sources)`
  `Agencies`
  `setStructureOrGenealogy(String structureOrGenealogy)`
  `Agencies`
  `setToDate(String toDate)`
  `Agencies`
  `setUpdateDate(String updateDate)`
  `AgenciesModel`
  `wrap()`

  ### Methods inherited from class fr.gouv.vitam.common.database.server.mongodb.VitamDocument

  `checkId, getConcernedDiffLines, getId, getOriginalDiffLines, getTenantId, getUnifiedDiff, getVersion, toString, toStringDirect`

  ### Methods inherited from class org.bson.Document

  `append, clear, containsKey, containsValue, entrySet, equals, get, get, get, getBoolean, getBoolean, getDate, getDouble, getEmbedded, getEmbedded, getInteger, getInteger, getList, getList, getLong, getObjectId, getString, hashCode, isEmpty, keySet, parse, parse, put, putAll, remove, size, toBsonDocument, toJson, toJson, toJson, toJson, values`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bson.conversions.Bson

  `toBsonDocument`

  ### Methods inherited from interface java.util.Map

  `compute, computeIfAbsent, computeIfPresent, forEach, getOrDefault, merge, putIfAbsent, remove, replace, replace, replaceAll`

- ## Field Details

  - ### IDENTIFIER

    public static final String IDENTIFIER
    the Agency id
    See Also:
      - Constant Field Values

  - ### NAME

    public static final String NAME
    the Agency name
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    the Agency description
    See Also:
      - Constant Field Values

  - ### ENTITY_TYPE

    public static final String ENTITY_TYPE
    See Also:
      - Constant Field Values

  - ### NAME_ENTRY_PARALLEL

    public static final String NAME_ENTRY_PARALLEL
    See Also:
      - Constant Field Values

  - ### AUTHORIZED_FORM

    public static final String AUTHORIZED_FORM
    See Also:
      - Constant Field Values

  - ### ALTERNATIVE_FORM

    public static final String ALTERNATIVE_FORM
    See Also:
      - Constant Field Values

  - ### ENTITY_ID

    public static final String ENTITY_ID
    See Also:
      - Constant Field Values

  - ### FROM_DATE

    public static final String FROM_DATE
    See Also:
      - Constant Field Values

  - ### TO_DATE

    public static final String TO_DATE
    See Also:
      - Constant Field Values

  - ### FUNCTIONS

    public static final String FUNCTIONS
    See Also:
      - Constant Field Values

  - ### BIOG_HIST

    public static final String BIOG_HIST
    See Also:
      - Constant Field Values

  - ### PLACES

    public static final String PLACES
    See Also:
      - Constant Field Values

  - ### LEGAL_STATUSES

    public static final String LEGAL_STATUSES
    See Also:
      - Constant Field Values

  - ### MANDATES

    public static final String MANDATES
    See Also:
      - Constant Field Values

  - ### STRUCTURE_OR_GENEALOGY

    public static final String STRUCTURE_OR_GENEALOGY
    See Also:
      - Constant Field Values

  - ### GENERAL_CONTEXT

    public static final String GENERAL_CONTEXT
    See Also:
      - Constant Field Values

  - ### CREATION_DATE

    public static final String CREATION_DATE
    See Also:
      - Constant Field Values

  - ### UPDATE_DATE

    public static final String UPDATE_DATE
    See Also:
      - Constant Field Values

  - ### MAINTENANCE_STATUS

    public static final String MAINTENANCE_STATUS
    See Also:
      - Constant Field Values

  - ### LOCAL_STATUS

    public static final String LOCAL_STATUS
    See Also:
      - Constant Field Values

  - ### SOURCES

    public static final String SOURCES
    See Also:
      - Constant Field Values

  - ### EVENT_DESCRIPTION

    public static final String EVENT_DESCRIPTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Agencies

    public Agencies()
    /** Empty Constructor

  - ### Agencies

    public Agencies(Integer tenantId)
    Parameters:
      `tenantId` - the working tenant

  - ### Agencies

    public Agencies(org.bson.Document document)
    Constructor
    Parameters:
      `document` - data in format Document to create agency

  - ### Agencies

    public Agencies(com.fasterxml.jackson.databind.JsonNode content)
    Parameters:
      `content` - in format JsonNode to create agency

  - ### Agencies

    public Agencies(String content)
    Parameters:
      `content` - in format String to create agency

- ## Method Details

  - ### newInstance

    public VitamDocument<Agencies> newInstance(com.fasterxml.jackson.databind.JsonNode content)
    Description copied from class: `VitamDocument`
    Make a new instance of the document with the given json
    Specified by:
      `newInstance` in class `VitamDocument<Agencies>`
    Parameters:
      `content` - document structure as json
    Returns:
      new document with the json as content

  - ### getDescription

    public String getDescription()
    Get the Agency description
    Returns:
      this

  - ### setDescription

    public Agencies setDescription(String description)
    Set or change the Agency description
    Parameters:
      `description` - to set to Agency
    Returns:
      this

  - ### getIdentifier

    public String getIdentifier()
    Get the Agency Identifier
    Returns:
      this

  - ### setIdentifier

    public Agencies setIdentifier(String identifier)
    Set or change the Agency identifier
    Parameters:
      `identifier` - to set to Agency
    Returns:
      this

  - ### getName

    public String getName()
    Get the Agency name
    Returns:
      this

  - ### setName

    public Agencies setName(String name)
    Set or change the Agency name
    Parameters:
      `name` - to set to Agency
    Returns:
      this

  - ### getEntityType

    public String getEntityType()

  - ### getNameEntryParallel

    public List<String> getNameEntryParallel()

  - ### getAuthorizedForm

    public List<String> getAuthorizedForm()

  - ### getAlternativeForm

    public List<String> getAlternativeForm()

  - ### getEntityId

    public String getEntityId()

  - ### getFromDate

    public String getFromDate()

  - ### getToDate

    public String getToDate()

  - ### getFunctions

    public List<String> getFunctions()

  - ### getBiogHist

    public String getBiogHist()

  - ### getPlaces

    public List<String> getPlaces()

  - ### getLegalStatuses

    public List<String> getLegalStatuses()

  - ### getMandates

    public List<String> getMandates()

  - ### getStructureOrGenealogy

    public String getStructureOrGenealogy()

  - ### getGeneralContext

    public String getGeneralContext()

  - ### getCreationDate

    public String getCreationDate()

  - ### getUpdateDate

    public String getUpdateDate()

  - ### getMaintenanceStatus

    public String getMaintenanceStatus()

  - ### getLocalStatus

    public String getLocalStatus()

  - ### getSources

    public List<String> getSources()

  - ### getEventDescription

    public String getEventDescription()

  - ### setEntityType

    public Agencies setEntityType(String entityType)

  - ### setNameEntryParallel

    public Agencies setNameEntryParallel(List<String> nameEntryParallel)

  - ### setAuthorizedForm

    public Agencies setAuthorizedForm(List<String> authorizedForm)

  - ### setAlternativeForm

    public Agencies setAlternativeForm(List<String> alternativeForm)

  - ### setEntityId

    public Agencies setEntityId(String entityId)

  - ### setFromDate

    public Agencies setFromDate(String fromDate)

  - ### setToDate

    public Agencies setToDate(String toDate)

  - ### setFunctions

    public Agencies setFunctions(List<String> functions)

  - ### setBiogHist

    public Agencies setBiogHist(String biogHist)

  - ### setPlaces

    public Agencies setPlaces(List<String> places)

  - ### setLegalStatuses

    public Agencies setLegalStatuses(List<String> legalStatuses)

  - ### setMandates

    public Agencies setMandates(List<String> mandates)

  - ### setStructureOrGenealogy

    public Agencies setStructureOrGenealogy(String structureOrGenealogy)

  - ### setGeneralContext

    public Agencies setGeneralContext(String generalContext)

  - ### setCreationDate

    public Agencies setCreationDate(String creationDate)

  - ### setUpdateDate

    public Agencies setUpdateDate(String updateDate)

  - ### setMaintenanceStatus

    public Agencies setMaintenanceStatus(String maintenanceStatus)

  - ### setLocalStatus

    public Agencies setLocalStatus(String localStatus)

  - ### setSources

    public Agencies setSources(List<String> sources)

  - ### setEventDescription

    public Agencies setEventDescription(String eventDescription)

  - ### wrap

    public AgenciesModel wrap()